<?php
/**
 * This file contains metadata..
 *
 * PHP Version 7
 *
 * @package   Endereco\OxidClient\Meta
 * @author    Ilja Weber <ilja.weber@mobilemojo.de>
 * @copyright 2019 mobilemojo – Apps & eCommerce UG (haftungsbeschränkt) & Co. KG
 *            (https://www.mobilemojo.de/)
 * @license   http://opensource.org/licenses/gpl-3.0 GNU General Public License,
 *            version 3 (GPLv3)
 * @link      https://www.endereco.de/
 */

$sMetadataVersion = '1.1';

$aModule = array(
    'id'           => 'enderecoclientox4',
    'title'        => 'Endereco AMS',
    'description' => array(
        'en' => 'Adddressvalidation + Correction for Webshops',
        'de' => 'Adressvalidierung + Korrekturvorschläge für Webshops',
    ),
    'thumbnail'    => 'endereco.png',
    'version'      => '3.2.8',
    'author'       => 'endereco',
    'email'        => 'info@endereco.de',
    'url'          => 'www.endereco.de',
    'files' => array(
        'enderecocontroller'      => 'endereco/enderecoclientox4/Controller/enderecocontroller.php',
        'enderecocountrycontroller' =>  'endereco/enderecoclientox4/Controller/enderecocountrycontroller.php',
        'enderecoconnectioncontroller' => 'endereco/enderecoclientox4/Controller/enderecoconnectioncontroller.php',
        'enderecoincludewidget'   => 'endereco/enderecoclientox4/Component/Widget/enderecoincludewidget.php',
        'enderecosettings'     => 'endereco/enderecoclientox4/Controller/Admin/enderecosettings.php',
        'enderecoinstaller' => 'endereco/enderecoclientox4/Core/enderecoinstaller.php',
        'enderecoaccounting' => 'endereco/enderecoclientox4/Model/enderecoaccounting.php',
    ),
    'templates' => array(
        'enderecoclientox_settings.tpl' => 'endereco/enderecoclientox4/application/views/admin/tpl/enderecoclientox_settings.tpl',
        'enderecoincludewidget_flow.tpl' => 'endereco/enderecoclientox4/application/views/widget/flow/enderecoincludewidget.tpl',
        'enderecoincludewidget_azure.tpl' => 'endereco/enderecoclientox4/application/views/widget/azure/enderecoincludewidget.tpl',
    ),
    'blocks' => array(
        array('template' => 'layout/base.tpl', 'block' => 'base_js', 'file' => 'enderecosdk.tpl'),
    ),
    'events'       => array(
        'onActivate'   => 'enderecoinstaller::onActivate',
        'onDeactivate' => 'enderecoinstaller::onDeactivate',
    ),
    'extend' => array(
        'oxuser' => 'endereco/enderecoclientox4/Model/enderecouser',
    ),
    'settings' => array(
        array('group' => 'main', 'name' => 'sCONNSTATUS', 'type' => 'str', 'value' => '0'),
        array('group' => 'main', 'name' => 'sAPIKEY', 'type' => 'str', 'value' => ''),
        array('group' => 'main', 'name' => 'sSERVICEURL', 'type' => 'str', 'value' => 'https://endereco-service.de/rpc/v1'),
        array('group' => 'main', 'name' => 'bKEEPSETTINGS', 'type' => 'bool', 'value' => 'true'),
        array('group' => 'main', 'name' => 'bSTATUSINDICATOR', 'type' => 'bool', 'value' => 'true'),
        array('group' => 'main', 'name' => 'bADDRESSSERVICE', 'type' => 'bool', 'value' => 'true'),
        array('group' => 'main', 'name' => 'bADDRESSALWAYSCHECK', 'type' => 'bool', 'value' => 'true'),
        array('group' => 'main', 'name' => 'bEMAILSERVICE', 'type' => 'bool','value' => 'true'),
        array('group' => 'main', 'name' => 'bNAMESERVICE', 'type' => 'bool','value' => 'true'),
        array('group' => 'main', 'name' => 'bPHONESERVICE', 'type' => 'bool','value' => 'true'),
        array('group' => 'main', 'name' => 'sPHONEFORMAT', 'type' => 'str', 'value' => '8'),
        array('group' => 'main', 'name' => 'sADDRESSSERVCOLOR31', 'type' => 'str', 'value' => '#009EC0'),
        array('group' => 'main', 'name' => 'sADDRESSSERVCOLOR32', 'type' => 'str', 'value' => '#0089a7'),
        array('group' => 'main', 'name' => 'sADDRESSSERVCOLOR2', 'type' => 'str', 'value' => '#fc6621'),
        array('group' => 'main', 'name' => 'sSUCCESSCOLOR', 'type' => 'str', 'value' => '#5cb85c'),
        array('group' => 'main', 'name' => 'sWARNINGCOLOR', 'type' => 'str', 'value' => '#f0ad4e'),
    )
);
